-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlBaseClassItem

Declaration :

- C++ : class UmlBaseClassItem : public UmlItem
- Java : abstract class UmlBaseClassItem extends UmlItem

Directly inherited by : UmlClassItem

Mother class of the all the class's items including the class themself

Artifact : UmlBaseClassItem

Operation cppDecl

Declaration :

- C++ : public: const QCString & cppDecl()
- Java : public String cppDecl()

return the C++ declaration

Operation set_CppDecl

Declaration :

- C++ : public: bool set_CppDecl(const char * s)
- Java : public void set_CppDecl(String s) throws RuntimeException

to set the C++ declaration On error return FALSE in C++, produce a RuntimeException in Java

Operation javaDecl

Declaration :

- C++ : public: const QCString & javaDecl()
- Java : public String javaDecl()

return the Java defininition

Operation set_JavaDecl

Declaration :

- C++ : public: bool set_JavaDecl(const char * s)
- Java : public void set_JavaDecl(String s) throws RuntimeException

to set the Java definition On error return FALSE in C++, produce a RuntimeException in Java

Operation idlDecl

Declaration :

- C++ : public: const QCString & idlDecl()
- Java : public String idlDecl()

return the IDL declaration

Operation set_IdlDecl

Declaration :

- C++ : public: bool set_IdlDecl(const char * s)
- Java : public void set_IdlDecl(String s) throws RuntimeException

set the IDL declaration On error return FALSE in C++, produce a RuntimeException in Java

Operation unload

Declaration :

- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Attribut _cpp_decl

Declaration :

- C++ : private: QCString _cpp_decl
- Java : private String _cpp_decl

Attribut _java_decl

Declaration :

- C++ : private: QCString _java_decl
- Java : private String _java_decl

Attribut _idl_decl

Declaration :

- C++ : private: QCString _idl_decl
- Java : private String _idl_decl

Operation UmlBaseClassItem

Declaration :

- C++ : protected: UmlBaseClassItem(void * id, const QCString & n) : UmlItem(id, n)
- Java : protected UmlBaseClassItem(long id, String n)

Operation read_cpp_

Declaration :

- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

internal, do NOT use it

Operation read_java_

Declaration :

- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

internal, do NOT use it

Operation read_idl_

Declaration :

- C++ : protected: virtual void read_idl_()
- Java : protected void read_idl_()

internal, do NOT use it

All public operations :

apply , children , childrenVisible , cppDecl , defined_ , description , identifier_ , idlDecl , isMarked , isToolRunning , isWritable , javaDecl , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_CppDecl , set_Description , set_IdlDecl , set_isMarked , set_JavaDecl , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload